"""empty message

Revision ID: 0f3f06abe6c5
Revises: d18638099caf
Create Date: 2021-11-21 11:12:58.250689

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import postgresql

# revision identifiers, used by Alembic.
revision = '0f3f06abe6c5'
down_revision = 'd18638099caf'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.rename_table('judgements', 'judgments')
    op.execute('ALTER INDEX judgements_pkey RENAME TO judgments_pkey')

    op.drop_constraint('judgements_courtroom_id_fkey',
                       'judgments', type_='foreignkey')
    op.create_foreign_key(None, 'judgments',
                          'courtrooms', ['courtroom_id'], ['id'])
    op.drop_constraint('judgements_defendant_attorney_id_fkey',
                       'judgments', type_='foreignkey')
    op.create_foreign_key(None, 'judgments', 'attorneys',
                          ['defendant_attorney_id'], ['id'], ondelete='CASCADE')
    op.drop_constraint('judgements_detainer_warrant_id_fkey',
                       'judgments', type_='foreignkey')
    op.create_foreign_key(None, 'judgments', 'cases', [
                          'detainer_warrant_id'], ['docket_id'])
    op.drop_constraint('judgements_judge_id_fkey',
                       'judgments', type_='foreignkey')
    op.create_foreign_key(None, 'judgments', 'judges', ['judge_id'], ['id'])
    op.drop_constraint('judgements_last_edited_by_id_fkey',
                       'judgments', type_='foreignkey')
    op.create_foreign_key(None, 'judgments', 'user', [
                          'last_edited_by_id'], ['id'])
    op.drop_constraint('judgements_plaintiff_attorney_id_fkey',
                       'judgments', type_='foreignkey')
    op.create_foreign_key(None, 'judgments', 'attorneys',
                          ['plaintiff_attorney_id'], ['id'], ondelete='CASCADE')
    op.drop_constraint('judgements_plaintiff_id_fkey',
                       'judgments', type_='foreignkey')
    op.create_foreign_key(None, 'judgments', 'plaintiffs',
                          ['plaintiff_id'], ['id'], ondelete='CASCADE')
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.rename_table('judgments', 'judgements')
    op.execute('ALTER INDEX judgments_pkey RENAME TO judgements_pkey')

    op.drop_constraint('judgments_courtroom_id_fkey',
                       'judgements', type_='foreignkey')
    op.create_foreign_key(None, 'judgements',
                          'courtrooms', ['courtroom_id'], ['id'])
    op.drop_constraint('judgments_defendant_attorney_id_fkey',
                       'judgements', type_='foreignkey')
    op.create_foreign_key(None, 'judgements', 'attorneys',
                          ['defendant_attorney_id'], ['id'], ondelete='CASCADE')
    op.drop_constraint('judgments_detainer_warrant_id_fkey',
                       'judgements', type_='foreignkey')
    op.create_foreign_key(None, 'judgements', 'cases', [
                          'detainer_warrant_id'], ['docket_id'])
    op.drop_constraint('judgments_judge_id_fkey',
                       'judgements', type_='foreignkey')
    op.create_foreign_key(None, 'judgements', 'judges', ['judge_id'], ['id'])
    op.drop_constraint('judgments_last_edited_by_id_fkey',
                       'judgements', type_='foreignkey')
    op.create_foreign_key(None, 'judgements', 'user', [
                          'last_edited_by_id'], ['id'])
    op.drop_constraint('judgments_plaintiff_attorney_id_fkey',
                       'judgements', type_='foreignkey')
    op.create_foreign_key(None, 'judgements', 'attorneys',
                          ['plaintiff_attorney_id'], ['id'], ondelete='CASCADE')
    op.drop_constraint('judgments_plaintiff_id_fkey',
                       'judgements', type_='foreignkey')
    op.create_foreign_key(None, 'judgements', 'plaintiffs',
                          ['plaintiff_id'], ['id'], ondelete='CASCADE')
    # ### end Alembic commands ###
